Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1288739 - Review Request: petpvc - Tools for partial volume correction (PVC) in positron emission tomography (PET)
Summary: Review Request: petpvc - Tools for partial volume correction (PVC) in positro...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1291010
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2015-12-05 18:39 UTC by Igor Gnatenko
Modified: 2018-08-05 09:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-05 09:37:58 UTC
Type: ---
Embargoed:
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Igor Gnatenko 2015-12-05 18:39:57 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/petpvc.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/petpvc-0.0.0-0.1.git775857a.fc24.src.rpm
Description:
Toolbox for partial volume correction (PVC) in positron emission tomography (PET).
Fedora Account System Username: ignatenkobrain

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-12-08 22:23:15 UTC
No need to 'rm -rf build', %autosetup recreated the source directory anyway.

Please extend the %description... What is this software actually useful for, what does it do?

Seems to be missing BR: InsightToolkit-devel, gdcm-devel, fftw-devel, vxl-devel.

+ license is OK (ASL 2)
+ license file is present, %license is used
+ name is OK
+ latest version (git snapshot)
+ %check is present, some checks fail
+ builds and installs, binaries run

rpmlint:
petpvc.src: E: summary-too-long C Toolbox for partial volume correction (PVC) in positron emission tomography (PET)
petpvc.src: E: description-line-too-long C Toolbox for partial volume correction (PVC) in positron emission tomography (PET).
petpvc.x86_64: E: summary-too-long C Toolbox for partial volume correction (PVC) in positron emission tomography (PET)
petpvc.x86_64: E: description-line-too-long C Toolbox for partial volume correction (PVC) in positron emission tomography (PET).
Please fix. Maybe "Toolbox for partial volume correction in positron emission tomography"?

petpvc.x86_64: W: no-manual-page-for-binary pvc_rl
petpvc.x86_64: W: no-manual-page-for-binary pvc_mtc
petpvc.x86_64: W: no-manual-page-for-binary petpvc
petpvc.x86_64: W: no-manual-page-for-binary pvc_vc
petpvc.x86_64: W: no-manual-page-for-binary pvc_iy
petpvc.x86_64: W: no-manual-page-for-binary pvc_rbv
petpvc.x86_64: W: no-manual-page-for-binary pvc_mg
petpvc.x86_64: W: no-manual-page-for-binary pvc_diy
petpvc.x86_64: W: no-manual-page-for-binary pvc_gtm
petpvc.x86_64: W: no-manual-page-for-binary pvc_labbe
petpvc.x86_64: W: no-manual-page-for-binary pvc_simulate
3 packages and 0 specfiles checked; 4 errors, 11 warnings.

OK.

Please fix the missing BR and summary and description when importing. Package is APPROVED.

Comment 2 Gwyn Ciesla 2015-12-12 17:28:42 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/petpvc

Comment 3 Mike McCune 2016-03-28 23:47:57 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune with any questions

Comment 4 Ankur Sinha (FranciscoD) 2018-08-05 09:37:58 UTC
Imported, built, and available for use. Closing.


Note You need to log in before you can comment on or make changes to this bug.